Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.context.event
Class OsgiBundleContextClosedEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.springframework.context.event.ApplicationContextEvent
                  org.eclipse.gemini.blueprint.context.event.OsgiBundleApplicationContextEvent
                      org.eclipse.gemini.blueprint.context.event.OsgiBundleContextClosedEvent

All Implemented Interfaces:
  Serializable

    public class OsgiBundleContextClosedEvent

extends OsgiBundleApplicationContextEvent

Event raised when an `ApplicationContext#close()` method executes inside an OSGi bundle.

Author:
  Andy Piper
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`OsgiBundleContextClosedEvent(org.springframework.context.ApplicationContext source, org.osgi.framework.Bundle bundle)` Constructs a new `OsgiBundleContextClosedEvent` instance.
`OsgiBundleContextClosedEvent(org.springframework.context.ApplicationContext source, org.osgi.framework.Bundle bundle, Throwable cause)` Constructs a new `OsgiBundleContextClosedEvent` instance.

Method Summary
`Throwable` | `getFailureCause()` Returns the `Throwable` that caused the application context closure to fail.

Methods inherited from class org.eclipse.gemini.blueprint.context.event.OsgiBundleApplicationContextEvent
`getBundle`

Methods inherited from class org.springframework.context.event.ApplicationContextEvent
`getApplicationContext`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OsgiBundleContextClosedEvent

    public OsgiBundleContextClosedEvent(org.springframework.context.ApplicationContext source,
                                        org.osgi.framework.Bundle bundle,
                                        Throwable cause)

  Constructs a new `OsgiBundleContextClosedEvent` instance.

  Parameters:
    `source` - the `ApplicationContext` that has been closed (must not be `null`)
    `bundle` - the OSGi bundle associated with the source application context
    `cause` - optional `Throwable` indicating the cause of the failure

### OsgiBundleContextClosedEvent

    public OsgiBundleContextClosedEvent(org.springframework.context.ApplicationContext source,
                                        org.osgi.framework.Bundle bundle)

  Constructs a new `OsgiBundleContextClosedEvent` instance.

  Parameters:
    `source` - event source
    `bundle` - associated OSGi bundle

Method Detail

### getFailureCause

    public final Throwable getFailureCause()

  Returns the `Throwable` that caused the application context closure to fail.

  Returns:
    the cause of the failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.